View Issue Details

IDProjectCategoryView StatusLast Update
0002709Ham Radio Deluxe[All Projects] Generalpublic2018-05-13 15:26
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.840 
Summary0002709: Setup: installer shows "InstallAware" branding on almost every page
DescriptionThere are lots of pages in the setup application that says "InstallAware" on them. It would be great to reduce the InstallAware branding that we show at setup time. I think there's so much that it's a little confusing to users who might be wondering what they're installing in the first place.

Steps To ReproduceRun setup. Most UI says something like "InstallAware Wizard will do some action for you", like in the attached screenshot.
TagsNo tags attached.
ModuleAll
Sub-ModuleInstall
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-05-08 15:43

manager  

InstallAware.png (15,945 bytes)
InstallAware.png (15,945 bytes)

K7ZCZ

2018-05-09 08:22

manager   ~0004978

Unfortunately, InstallAware doesn't make it possible to completely remove their name from a setup applicatio ndeveloped with their tools. This thread at their support forum explains that they charge a large fee to issue a licensed version that removes their branding from the toolset:

https://www.installaware.com/forums/viewtopic.php?t=2206

K7ZCZ

2018-05-09 08:43

manager   ~0004979

Fixed with this checkin: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4111

Not all mentions of "InstallAware" could be removed, including the title bar and the bold text in the example image attached to this issue. However, almost all other references to "InstallShield" are gone. I don't think we can do any better without the crazy spend on the new license.

g3ucq

2018-05-10 15:50

viewer   ~0004991

No problem for me.
What I find more strange is that when Uninstalling HRD, the InstallAware shows that the application is being installed on most pages!

K7ZCZ

2018-05-11 20:59

manager   ~0004993

The issue of the uninstallation process calling itself an installer is tracked separately by Mantis 2114. This issue is liited to the "InstallAware" branding problem.

WA9PIE

2018-05-12 01:22

administrator   ~0005019

Love it! Great fix.

Issue History

Date Modified Username Field Change
2018-05-08 15:43 K7ZCZ New Issue
2018-05-08 15:43 K7ZCZ File Added: InstallAware.png
2018-05-09 08:22 K7ZCZ Note Added: 0004978
2018-05-09 08:43 K7ZCZ Assigned To => K7ZCZ
2018-05-09 08:43 K7ZCZ Status new => resolved
2018-05-09 08:43 K7ZCZ Resolution open => fixed
2018-05-09 08:43 K7ZCZ Note Added: 0004979
2018-05-09 10:55 K7ZCZ Sub-Module (select) => Install
2018-05-09 23:28 K7ZCZ Fixed in Version => 6.4.0.839
2018-05-10 15:50 g3ucq Note Added: 0004991
2018-05-11 20:59 K7ZCZ Note Added: 0004993
2018-05-12 01:22 WA9PIE Status resolved => closed
2018-05-12 01:22 WA9PIE Module (select) => All
2018-05-12 01:22 WA9PIE Testing Not Started => Beta Successful
2018-05-12 01:22 WA9PIE Note Added: 0005019
2018-05-13 15:25 WA9PIE Fixed in Version 6.4.0.839 => 6.4.0.840
2018-05-13 15:26 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe